Retrieves all the user week approval

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

user_week_approval
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
user_id

Foreign key of User

globally unique identifier

Required

approved_date_start

Starting date of the approved range

date

Required

approved_date_end

Ending date of the approved range

date

Required

date_approval

Date+Time when the approval occured

date

Required

is_approved

Indicate if the selection (range) is approved

boolean

Required

approved_by_user_id

Foreign key of user,who did the approval

globally unique identifier

Required

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "9f1860e5-82af-494c-b96f-966e2665036a",
  "user_id": "02fadabc-d178-49ce-a771-0bd2ed7e9464",
  "approved_date_start": "2026-10-19T08:26:06.8290092+00:00",
  "approved_date_end": "2026-10-19T08:26:06.8290092+00:00",
  "date_approval": "2026-10-19T08:26:06.8290092+00:00",
  "is_approved": true,
  "approved_by_user_id": "2ab5737b-40d2-4898-86c5-64402d08bb91",
  "modified_dateutc": "2026-10-19T08:26:06.8290092+00:00"
}